Retrieve Single Debug Log
Given a debug log ID, retrieve details about this debug log.
GET
/api/{version}/logs/code/debug/{id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{id} | The ID of the debug log to retrieve. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/logs/code/debug/0LS000000003006Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"id": "0LS000000003006",
"name": "Record Trigger Troubleshooting",
"user_id": 61603,
"log_level": "all__sys",
"expiration_date": "2025-01-11T03:09:47.000Z",
"class_filters": [
{
"name": "com.veeva.vault.custom.HelloWorld",
"code_type": "Pagecontroller"
},
{
"name": "com.veeva.vault.custom.triggers.HelloWorld",
"code_type": "Recordtrigger"
}
],
"status": "active__sys",
"created_date": "2024-12-12T03:09:47.000Z"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following data for each debug log:
| Name | Description |
|---|---|
id | The numerical ID of this debug log. |
name | The UI name of this debug log. |
user_id | The ID of the user associated with this debug log. |
log_level | The level of error messages captured in this debug log. Learn more about the log level types in Vault Help |
expiration_date | The date this session will expire, in the format YYYY-MM-DDTHH:MM:SS.000Z. Once expired, Vault deletes the debug log and all log data. |
class_filters | Class filters applied to this debug log, if any. Class filters allow you to restrict debug log entries to only include entries for specific classes. |
status | The status of this debug log, either active or inactive. By default, only active logs are included in the response. To include inactive logs, set the include_inactive query parameter to true. |
created_date | The date this session was created, in the format YYYY-MM-DDTHH:MM:SS.000Z. |